=== modified file 'sql/mysql_priv.h'
--- sql/mysql_priv.h	2008-06-28 01:01:34 +0000
+++ sql/mysql_priv.h	2008-06-29 15:16:28 +0000
@@ -701,7 +701,7 @@
 /*
   External variables
 */
-extern ulong server_id, concurrency;
+extern ulong server_id;
 
 
 typedef my_bool (*qc_engine_callback)(THD *thd, char *table_key,

=== modified file 'sql/mysqld.cc'
--- sql/mysqld.cc	2008-06-28 05:26:20 +0000
+++ sql/mysqld.cc	2008-06-29 15:16:28 +0000
@@ -324,7 +324,7 @@
 uint tc_heuristic_recover= 0;
 uint volatile thread_count, thread_running;
 ulonglong thd_startup_options;
-ulong back_log, connect_timeout, concurrency, server_id;
+ulong back_log, connect_timeout, server_id;
 ulong table_cache_size, table_def_size;
 ulong what_to_log;
 ulong query_buff_size, slow_launch_time, slave_open_temp_tables;
@@ -4463,10 +4463,6 @@
    "How many threads we should keep in a cache for reuse.",
    (uchar**) &thread_cache_size, (uchar**) &thread_cache_size, 0, GET_ULONG,
    REQUIRED_ARG, 0, 0, 16384, 0, 1, 0},
-  {"thread_concurrency", OPT_THREAD_CONCURRENCY,
-   "Permits the application to give the threads system a hint for the desired number of threads that should be run at the same time.",
-   (uchar**) &concurrency, (uchar**) &concurrency, 0, GET_ULONG, REQUIRED_ARG,
-   DEFAULT_CONCURRENCY, 1, 512, 0, 1, 0},
   {"thread_pool_size", OPT_THREAD_CACHE_SIZE,
    "How many threads we should create to handle query requests in case of 'thread_handling=pool-of-threads'",
    (uchar**) &thread_pool_size, (uchar**) &thread_pool_size, 0, GET_ULONG,

=== modified file 'sql/sql_plugin.cc'
--- sql/sql_plugin.cc	2008-06-25 05:29:13 +0000
+++ sql/sql_plugin.cc	2008-06-29 15:16:28 +0000
@@ -2686,7 +2686,7 @@
       if (!opt->update)
       {
         opt->update= update_func_str;
-        if (!(opt->flags & PLUGIN_VAR_MEMALLOC | PLUGIN_VAR_READONLY))
+        if ((opt->flags & (PLUGIN_VAR_MEMALLOC | PLUGIN_VAR_READONLY)) == false)
         {
           opt->flags|= PLUGIN_VAR_READONLY;
           sql_print_warning("Server variable %s of plugin %s was forced "
@@ -2791,7 +2791,7 @@
   uint count= EXTRA_OPTIONS;
   DBUG_ENTER("construct_help_options");
 
-  for (opt= p->plugin->system_vars; opt && *opt; opt++, count+= 2);
+  for (opt= p->plugin->system_vars; opt && *opt; opt++, count+= 2) {};
 
   if (!(opts= (my_option*) alloc_root(mem_root, sizeof(my_option) * count)))
     DBUG_RETURN(NULL);

=== modified file 'storage/heap/hp_write.c'
--- storage/heap/hp_write.c	2008-06-25 05:29:13 +0000
+++ storage/heap/hp_write.c	2008-06-29 15:16:28 +0000
@@ -197,7 +197,7 @@
   int flag;
   ulong halfbuff,hashnr,first_index;
   uchar *ptr_to_rec,*ptr_to_rec2;
-  HASH_INFO *empty,*gpos,*gpos2,*pos;
+  HASH_INFO *empty, *gpos, *gpos2= NULL, *pos;
   DBUG_ENTER("hp_write_key");
 
   flag=0;

